@SET_MAKE@
AUTOMAKE_OPTIONS = 1.10 no-dependencies

# CFLAGS = @MYCFLAGS@
CFLAGS = @ZITHER_CFLAGS@@SERVICES_CFLAGS@@SIGNATURE_CFLAGS@

noinst_LIBRARIES = libzither.a libzitherpsql.a libzithermysql.a

libzithermysql_a_CFLAGS = -I@MYSQL_INC_PATH@
libzithermysql_a_SOURCES = \
                 mysql_connectset.c \
                 mysqlconnect.c \
                 mysqlexec_datain.c \
                 mysqlexec_select.c 

libzitherpsql_a_CFLAGS = -I@PSQL_INC_PATH@ -I@MYSQL_INC_PATH@
libzitherpsql_a_SOURCES = \
                psql_connectset.c \
                psqlconnect.c \
                psqlexec_datain.c \
                psqlexec_select.c

libzither_a_CFLAGS = -I@PSQL_INC_PATH@ -I@MYSQL_INC_PATH@
libzither_a_SOURCES = \
		 com_check.c \
		 check_strtol.c \
		 mail_form.c \
		 errdata_tok.c \
		 malloc_set.c \
		 malloc_free.c \
		 malloc_set2.c \
		 private_malloc_set.c \
		 opt.c \
		 neg.c \
		 mail_time_getr.c \
		 global_data_list.c \
		 file_send.c \
		 file_send2.c \
		 filename_create.c \
		 put_log.c \
		 mail_grsend.c \
		 mail_grsend_t.c \
		 stat_check.c \
		 fd_outopen.c \
		 log_out.c \
		 life_thread.c \
		 life_check.c \
		 initdaemon.c \
		 lockfile_remove.c \
		 lock_remove.c \
		 chack_lockfile.c \
		 file_sets.c \
		 file_sets2.c \
		 file_check.c \
		 clockfile_check.c \
		 set_data.c \
		 setup_check.c \
		 print_conf.c \
		 conf_set.c \
		 client_set.c \
		 client_setg.c \
		 path_check.c \
		 mail_malloc.c \
		 send_rcptto.c \
		 connect_open.c \
		 err_logi.c \
		 quit_logi.c \
		 put_logi.c \
		 up_logi.c \
		 aupl_logi.c \
		 get_logi.c \
		 vers_logi.c \
		 ver_logi.c \
		 life_logi.c \
		 setg_logi.c \
		 set_logi.c \
		 bat_logi.c \
		 slget_logi.c \
		 alget_logi.c \
		 neg_logi.c \
		 midget_logi.c \
		 midremove_logi.c \
		 midset_logi.c \
		 th_miname_dump.c \
	 	 int miname_install.c \
		 midump_remove.c \
		 int miname_dump.c \
		 start_neg.c \
		 stag_neg.c \
                 make_subject.c \
		 safe_exit.c \
		 signal_exit.c \
		 signal_errout.c \
		 mailsigfile_check.c


bin_PROGRAMS = zither zitherctl zitherset

zither_SOURCES = zither.c zither.h prototype.h jpreturn.h almemsys.h
zither_LDADD= @DB_LD@
zither_LDFLAGS = -L. -L../almemsys -L@PSQL_LIB_PATH@ -L@MYSQL_LIB_PATH@ -pthread -D_THREAD_SAFE
zither_CFLAGS = -I@PSQL_INC_PATH@ -I@MYSQL_INC_PATH@

zitherctl_SOURCES = zitherctl.c zither.h prototype.h jpreturn.h almemsys.h
zitherctl_LDADD= -lzither -lalmemsys 
zitherctl_LDFLAGS = -L. -L../almemsys -pthread

zitherset_SOURCES = zitherset.c zither.h prototype.h jpreturn.h almemsys.h
zitherset_LDADD= -lzither -lalmemsys 
zitherset_LDFLAGS = -L. -L../almemsys -L@PSQL_LIB_PATH@ -L@MYSQL_LIB_PATH@ 
zitherset_CFLAGS = -I@PSQL_INC_PATH@ -I@MYSQL_INC_PATH@


